package com.neusoft.smart.pos.advertisement.persistent.mapper;

import com.neusoft.smart.pos.advertisement.persistent.domain.MediaResource;
import com.neusoft.smart.pos.advertisement.persistent.domain.MediaResourceExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface MediaResourceMapper {
    int countByExample(MediaResourceExample example);

    int deleteByExample(MediaResourceExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(MediaResource record);

    int insertSelective(MediaResource record);

    List<MediaResource> selectByExample(MediaResourceExample example);

    MediaResource selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") MediaResource record, @Param("example") MediaResourceExample example);

    int updateByExample(@Param("record") MediaResource record, @Param("example") MediaResourceExample example);

    int updateByPrimaryKeySelective(MediaResource record);

    int updateByPrimaryKey(MediaResource record);

    void batchInsert(@Param("items") List<MediaResource> items);
}